#############################################################################
##
#W  classes.gd  Testing varieties [quandles]
##
#H  @(#)$Id: classes.gd, v 2.1.2 2010/11/16 gap Exp $
##
#Y  Copyright (C)  2004,  G. P. Nagy (University of Szeged, Hungary),
#Y                        P. Vojtechovsky (University of Denver, USA)
##

#############################################################################
##  PROPERTIES OF QUASIGROUPS
##  -------------------------------------------------------------------------

DeclareProperty( "IsCommutative", IsRack );
DeclareProperty( "IsIdempotent", IsRack );
#DeclareProperty( "IsLDistributive", IsRack );
#DeclareProperty( "IsRDistributive", IsRack );
#DeclareSynonymAttr( "IsLeftDistributive", IsLDistributive );
#DeclareSynonymAttr( "IsRightDistributive", IsRDistributive );
#IsDistributive already declared in GAP
DeclareProperty( "IsEntropic", IsRack );
DeclareSynonymAttr( "IsMedial", IsEntropic );

DeclareProperty( "IsIndecomposable", IsAffineMesh);
