#############################################################################
##
#A  init.g                  quandles                P. Jedlicka
##
#H  @(#)$Id: init.g, v 0.1.0 2013/03/05 gap Exp $
##
#Y  Copyright (C)  2013,  P. Jedlicka (CULS Prague)
##

#############################################################################
##  DECLARING PACKAGE
##  -------------------------------------------------------------------------
DeclareAutoPackage("quandles", "0.1.0", ReturnTrue);

#############################################################################
##  BANNER
##  -------------------------------------------------------------------------
ReadPkg("quandles", "gap/banner.g");

#############################################################################
##  METHODS FOR ALL QUASIGROUPS AND LOOPS
##  -------------------------------------------------------------------------
ReadPkg( "quandles", "gap/quandles.gd");    # representing, creating and displaying quandles
ReadPkg( "quandles", "gap/elements.gd");       # elements and basic arithmetic operations
ReadPkg( "quandles", "gap/core_methods.gd");   # most common structural methods
ReadPkg( "quandles", "gap/classes.gd");        # testing varieties         
#ReadPkg( "loops", "gap/iso.gd");            # isomorphisms and isotopisms
#ReadPkg( "loops", "gap/extensions.gd");     # extensions
#ReadPkg( "loops", "gap/random.gd");         # random loops
#ReadPkg( "loops", "gap/mlt_search.gd");     # realizing groups as multiplication groups of loops

#############################################################################
##  LIBRARIES
##  -------------------------------------------------------------------------
#ReadPkg( "loops", "gap/examples.gd");     # libraries

#############################################################################
##  HELP
##  -------------------------------------------------------------------------
#ReadPkg( "loops", "etc/HBHforLOOPS.g");   # the handler functions for GAP's help system
